MariaDB

  • Hello


    is it possilbe to install mariadb on omv 0.5 ?


    regard

    Server:
    BitFenix Phenom M - ASRock B75 Pro3-M - 8GB Crucial B.S. - Intel G2140 - Corsair CX430M - 1x 64GB SanDisk SDSSDP (system) - 2x 2TB WD20EARX (data) - 1x 3TB WD30EFRX (Snapraid) - TBS6981 DVB-S2 - OMV 0.5x

    • Official Post

    Yes. PM sent.

    omv 6.1.1-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.6 | compose 6.4.2 | mergerfs 6.3.4 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • I have tryed to install MariaDB a few days ago, but I failed.
    Maybe you will share your knowledge.


    I install the key, added the MariaDB 5.5 repository for Squeeze and install the package mariadb-server.
    But after apt-get downloaded the new packages, I get the following error:

    Code
    E: »mariadb-server-5.5« konnte nicht unmittelbar konfiguriert werden. Lesen Sie »man 5 apt.conf« unter APT::Immediate-Configure bezüglich weiterer Details. (2)


    What did I do wrong?


    Thanks
    kalle

    • Official Post

    I haven't tried on squeeze. That might be a better question for the mariadb people.

    omv 6.1.1-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.6 | compose 6.4.2 | mergerfs 6.3.4 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

    • Official Post

    I'll send you a PM.

    omv 6.1.1-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.6 | compose 6.4.2 | mergerfs 6.3.4 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • Back again, with a fresh OMV 1.1 on my server. But still problems with the installation of MiriaDB.


    apt-get tells there are unmet dependencies:

    Quote

    Die folgenden Pakete haben unerfüllte Abhängigkeiten:
    mariadb-server : Hängt ab von: mariadb-server-10.0 (= 10.0.14+maria-1~wheezy) soll aber nicht installiert werden
    E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.


    Looks like you guys have a running MariaDB. So what is the trick?
    What is wrong with the way, written on the MariaDB website?


    It would be nice if someone could help a little.


    Thanks.
    kalle

    • Official Post

    PM sent.

    omv 6.1.1-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.6 | compose 6.4.2 | mergerfs 6.3.4 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

    • Official Post

    There is no way to install mariadb though. It was discussed about making the mysql plugin work with either database but the work hasn't happened yet.

    omv 6.1.1-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.6 | compose 6.4.2 | mergerfs 6.3.4 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • Sorry for refresh the topic dont find a answer via search-installed fresh actually OMV release 1.9 can i install anyhow the mariaDB ?


    Thanks

    • Official Post

    Yep, it works fine. Just put the following settings in the Custom repo tab in omv-extras and then apt-get install mariadb-server

    • Official Post

    I assume they sign the packages with the same key.

    omv 6.1.1-1 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.6 | compose 6.4.2 | mergerfs 6.3.4 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!